--- a/src/hugin_base/panodata/Exiv2Helper.cpp
+++ b/src/hugin_base/panodata/Exiv2Helper.cpp
@@ -29,6 +29,7 @@
 #include "hugin_math/hugin_math.h"
 #include "hugin_utils/utils.h"  
 #include "exiv2/easyaccess.hpp"
+#include "exiv2/version.hpp"
 
 namespace HuginBase
 {
@@ -232,7 +233,7 @@
                     return false;
                 };
             };
-#if EXIV2_TEST_VERSION(0,23,0)
+#if defined EXIV2_VERSION && EXIV2_VERSION >= EXIV2_MAKE_VERSION(0,23,0)
             if (_getExiv2Value(exifData, "Exif.PentaxDng.RedBalance", val1) &&
                 _getExiv2Value(exifData, "Exif.PentaxDng.BlueBalance", val2))
             {
@@ -563,7 +564,7 @@
             std::string lensName;
             // first we are reading LensModel in Exif section, this is only available
             // with EXIF >= 2.3
-#if EXIV2_TEST_VERSION(0,22,0)
+#if defined EXIV2_VERSION && EXIV2_VERSION >= EXIV2_MAKE_VERSION(0,22,0)
             //the string "Exif.Photo.LensModel" is only defined in exiv2 0.22.0 and above
             if(_getExiv2Value(exifData, "Exif.Photo.LensModel", lensName))
 #else
